### Property

# WebKit2 Settings:enable-frame-flattening

#### Declaration

    property enable-frame-flattening: gboolean [ read, write, construct ]

#### Description [src]

Whether to enable the frame flattening. With this setting each subframe is expanded to its contents, which will flatten all the frames to become one scrollable page. On touch devices scrollable subframes on a page can result in a confusing user experience.

Type: | `gboolean`
Deprecated since: | 2.38
Please do not use it in newly written code.

Setter method | `webkit_settings_set_enable_frame_flattening()`
Getter method | `webkit_settings_get_enable_frame_flattening()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no